evade odd version conflicts for batch build (e.g. "vsce package");
authorwenzelm
Fri Mar 03 23:21:24 2017 +0100 (2017-03-03)
changeset 65098b47ba1778e44
parent 65097 ed2e33653438
child 65099 30d0b2f1df76
child 65100 83d1f210a1d3
evade odd version conflicts for batch build (e.g. "vsce package");
src/Tools/VSCode/extension/package.json
src/Tools/VSCode/extension/src/decorations.ts
     1.1 --- a/src/Tools/VSCode/extension/package.json	Fri Mar 03 23:04:12 2017 +0100
     1.2 +++ b/src/Tools/VSCode/extension/package.json	Fri Mar 03 23:21:24 2017 +0100
     1.3 @@ -78,7 +78,7 @@
     1.4      },
     1.5      "devDependencies": {
     1.6          "typescript": "^2.1.0",
     1.7 -        "vscode": "^1.8.0",
     1.8 +        "vscode": "^1.0.0",
     1.9          "mocha": "^2.3.3",
    1.10          "@types/node": "^6.0.40",
    1.11          "@types/mocha": "^2.2.32"
     2.1 --- a/src/Tools/VSCode/extension/src/decorations.ts	Fri Mar 03 23:04:12 2017 +0100
     2.2 +++ b/src/Tools/VSCode/extension/src/decorations.ts	Fri Mar 03 23:21:24 2017 +0100
     2.3 @@ -12,7 +12,7 @@
     2.4    bad: TextEditorDecorationType
     2.5  }
     2.6  
     2.7 -export let types: Readonly<Decorations>
     2.8 +export let types: Decorations
     2.9  
    2.10  export function init(context: ExtensionContext)
    2.11  {